/**
COLOR
 */
$darkBlue: #2F3542;
$lightBlue: #57606F;
$darkGrey: #3D3D3D;
$lightGrey: #404040;
$blue: #00165E;
$gold: #E3BA32;
/**
RESET
 */
* {
  content: "";
  font-family: Raleway, Arial, sans-serif;
  color: inherit;
}

html, body {
  margin: 0;
  padding: 0;
  background-color: #57606f;
  position: relative;
  width: 100%;
  height: 100%;
}

nav{
  display: block;
  position: relative;
  top: 0;
  left: 0;
}

h1, h2, h3, h4, h5, h6, p, a, span{
  margin: 0;
  -webkit-margin-start: 0;
  -webkit-margin-end: 0;
  margin-block-start: 0;
  margin-block-end: 0;
  padding: 2px;
  text-decoration: none;
  display: inherit;
}

ul, li {
  margin: 0;
  padding: 0;
  list-style: none;
}

ul.item-number li {
  list-style-type: decimal;
  margin-left: 15px;
}

header, body, section, footer{
  display: block;
  margin: 0;
  padding: 0;
  position: relative;
  clear: both;
  z-index: 10;
}

body{
  display: grid;
  grid-template-rows: 1fr;
  grid-template-columns: 250px 1fr;

}

header {
  background-color: $lightBlue;
  box-shadow: 1px 0 25px rgb(50,50,50);
}

main {
  background-color: $darkBlue;
  max-width: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  padding: 50px;
}

@keyframes border-bottom-hover {
  from {
    border-bottom-color: rgba(255,255,255,0);
  }

  to {
    border-bottom-color: rgb(255,255,255);
  }
}

.msg {
  display: block;
  width: 720px;
  top: 10px;
  left: 50%;
  transform: translateX(-50%);
  position: absolute;
  z-index: 10;
  line-height: 25px;
  padding: 5px 25px;
  background-color: #ef4c48;
  border: 1px solid #98292d;
  color: #ffffff;
}

#admin {

  header {

    text-align: center;

    .head {
      padding: 10px 0;
      margin-bottom: 20px;
      color: #e13c41;
      background-color: white;
      border-bottom: 1px solid $darkBlue;
    }

    .nav {
      text-align: left;
      font-weight: 500;

      .nav-category {
        text-align: center;
        padding: 10px 5px;
        font-weight: bold;
        text-decoration: underline;
        background-color: $darkGrey;
      }

      li {
        padding: 0 10px;
        color: white;

        a {
          display: block;
          padding: 8px 5px;
          border-bottom: 2px solid rgba(0, 0, 0, 0);
        }

        a:hover {
          border-bottom: 2px solid white;
          animation-name: border-bottom-hover;
          animation-duration: 1s;
        }

        a[class*=empty]:hover {
          animation-duration: 0s;
          border-bottom: 2px solid rgba(0, 0, 0, 0);
        }
      }
    }

  }

}

.row-block {
  margin: 25px 0 0 0;
  display: inline-flex;
  width: 100%;

  .block {
    margin: 0 5px 0 5px !important;
  }

  .block:first-child {
    margin-left: 0!important;
  }

  .block:last-child {
    margin-right: 0 !important;
  }
}

.block {
  display: block;
  position: relative;
  width: 100%;
  border: 1px solid $darkGrey;
  background-color: white;
  margin-top: 25px;

  .block-header {
    display: block;
    background-color: $lightBlue;
    padding: 10px;
    color: white;
  }

  .block-content {
    display: block;
    padding: 10px;
    max-height: 300px;
    overflow-y: auto;

    p, span {
      margin: 5px 0;
    }
  }

  .block-content::-webkit-scrollbar{
    background-color: #223044;
    width: 5px;
  }

  .block-content::-webkit-scrollbar-thumb {
    background-color: $lightBlue;
    width: 3px;
  }
}

.block-red {
  background-color: #e13c41;
  border-color: #ff4449;
}

.big-block {

  .block-content {
    max-height: 600px;
  }
}

.block:first-child {
  margin-top: 0 !important;
}

.block-sm {
  width: 33.3334%;
}

.block-md {
  width: 49.9%;
}

.block-lg {
  width: 66.6664%;
}

.align-self-start {
  align-self: flex-start;
}

.align-self-center {
  align-self: center;
}

.justify-content-center {
  justify-content: center;
}

.btn {
  display: table;
  cursor: pointer;
  border: 1px solid $darkGrey;
  background-color: $lightGrey;
  box-shadow: 0 0 3px black;
  color: white;
  margin: 10px auto;
  text-align: center;
  font-size: 13pt;
  padding: 5px 7px;
}

form {
  display: grid;
  z-index: 5;
  position: relative;
  background-color: white;
  border-radius: 3px;
  justify-items: center;
  padding-bottom: 10px;

  header {
    padding: 10px;
    width: 100%;
    width: -webkit-fill-available;
  }

  label {
    margin: 10px 0;
  }

  label, input {
    display: block;
    width: 250px;
    text-align: center;
  }

  input[type="text"],input[type="tel"],input[type="password"],input[type="email"],input[type="number"] {
    width: 250px;
    height: 30px;
    border: none;
    border-bottom: 2px solid $lightBlue;
    font-size: 13pt;
  }

  input[type="checkbox"] {
    border: 1px solid $lightGrey;
    background-color: white;
    width: 18px;
    height: 18px;
    cursor: pointer;
  }

  input[type="file"] {
    padding: 4px;
    margin-top: 10px;
  }

  textarea {
    max-width: 300px;
    max-height: 200px;
  }

  input::placeholder {
    font-family: Raleway, sans-serif !important;
    font-style: normal;
    text-transform: lowercase;
    font-size: 13pt !important;
    color: $lightBlue;
  }

  .form-group {
    display: flex;
    flex-direction: row;
  }

  .form-part {
    display: flex;
    flex-direction: column;
    margin: 10px 50px;
  }

  .form-large {
    width: 600px;
    margin: 0 auto;
    input {
      margin: 0 auto;
    }
  }

  p {
    text-align: justify;
  }

  .btn {
    display: block;
    cursor: pointer;
    border: 1px solid $darkGrey;
    background-color: $lightGrey;
    box-shadow: 0 0 3px black;
    color: white;
    margin: 10px 0;
  }

  select {
    padding: 5px;
    font-size: 10pt;
    font-weight: 500;
    width: 250px;
  }

}

table {
  display: table;
  width: 100%;
  border-collapse: collapse;

  tr {
    box-shadow: 0 1px 2px #000;
    background-color: white;
  }

  tr > td{
    text-align: justify;
  }

  tr:nth-child(even){
    background-color: $lightBlue;
    color: white;
    border-top: 1px solid $darkGrey;
  }

  tr:first-child {
    border:none;
    box-shadow: none;

    td,th {
      border-left: 1px solid $darkGrey;
    }

    td:first-child, th:first-child {
      border: none;
    }
  }

  td, th{
    padding: 5px;
  }

  .td-flex {
    display: inline-flex;
    width: -webkit-fill-available;
    justify-content: center;
  }

}

.afa {
  border: 1px solid grey;
  background-color: white;
  padding: 4px;
  margin: 0 3px;
  display:block;
  width: max-content;
  border-radius: 2px;
  box-shadow: 1px 1px 2px #000;
}

.afa-align {
  margin: 0 auto;
}

.fa-red {
  border: 1px solid #ff4449;
  color: #e13c41;
}

.fa-blue {
  border: 1px solid #728bff;
  color: #6b8dad;
}

.fa-orange {
  border: 1px solid #ffb02c;
  color: #ee9c43;
}